TENTACLE_CLIENT(1)

NAME
tentacle_client - a client file transfer protocol

SYNOPSIS
tentacle_client <options> Tentacle is a client/server file transfer protocol that aims to be:
- | Executable programs or shell commands
- | System calls (functions provided by the kernel)
- | Library calls (functions within program libraries)

Tentacle was created to replace more complex tools like SCP and FTP for simple file transfer/retrieval, and switch from authentication mechanisms like .netrc, interactive logins and SSH keys to X.509 certificates. Simple password authentication over a SSL secured connection is supported too.

The client and server (TCP port 41121) are designed to be run from the command line or called from a shell script, and no configuration files are needed.

Tentacle is now the default file transfer method for Pandora FMS and Babel Enterprise.

Tentacle is implemented in Perl and ANSI C (Windows platforms included).

You can download it and get more information at the official Sourceforge website http://tentacled.sourceforge.net/.

OPTIONS

Tentacle Client options :
-a address : Server address (default 127.0.0.1).
-c : Enable SSL without a client certificate.
-e cert : OpenSSL certificate file. Enables SSL.
-f ca : Verify that the peer certificate is signed by a ca.
-g : Get files from the server.
-h : Show help.
-k key : OpenSSL private key file.
-p port : Server port (default 41121).
-q : Quiet. Do now print error messages.
-r number : Number of retries for network operations (default 3).
-t time : Time-out for network operations in seconds (default 1s).
-v : Be verbose.
-w : Prompt for OpenSSL private key password.
-x pwd : Server password.

EXAMPLES

tentacle_client -a 192.168.1.1 -v /bin/bash
    Simple file transfer with maximum file size set to 1MB

tentacle_client -a 192.168.1.1 -x password -v /bin/bash
    Simple file transfer with password authentication (not secure)

tentacle_client -a 192.168.1.1 -x password -e cert.pem -k key.pem -v /bin/bash
    Secure file transfer with client certificate and password authentication

NOTES
Tentacle requires Perl 5.8 or higher to works

SEE ALSO
tentacle_server(1), pandora_server(1), pandora_agent(1)